Create a document template Run in API Explorer
Ask AI
POST
/api/v1/document-template
curl \
--request POST 'https://api.plannrcrm.com/api/v1/document-template' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Client Service Agreement"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Client Service Agreement"
}
Response examples (201)
[
{
"uuid": "349319e4-c819-4d57-bc69-1ca7bcf0fa23",
"created_at": "2026-11-17T20:47:11+00:00",
"updated_at": "2026-11-17T20:47:11+00:00",
"version": 3,
"name": "Welcome Template",
"required_dependants": {
"client-1": "client"
},
"public_docx_url": "https://api.plannrcrm.com/document-template/68c129d5-8b41-4309-824e-770766d9a4d8/content/docx?plannr_account_uuid=011b3859-a025-43c9-b821-4e159863a2f0",
"public_sfdt_url": "https://api.plannrcrm.com/document-template/4aaef5b2-97af-4523-910f-bc08a77f9c34/content/sfdt?plannr_account_uuid=23cbf063-9c89-462a-b4fd-7e5a94739ac6",
"public_pdf_url": "https://api.plannrcrm.com/document-template/e0ead59d-21e3-49a9-af63-96d417fbfd61/content/pdf?plannr_account_uuid=85e913f7-26b1-48b7-b584-a1ed9a14e29e",
"public_preview_url": "https://api.plannrcrm.com/document-template/a5a4c6d5-2b26-446b-9390-b556c2421b54/content/preview?plannr_account_uuid=d039d2cd-1762-4c1d-8969-5478fef0b371"
}
]
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}